export declare const ELEMENT_STATUS: readonly ["primary", "error", "warning", "success", "info"];
export declare const ELEMENT_SIZES: readonly ["sm", "md", "lg"];
export declare const ELEMENT_THEMES: readonly ["dark", "light"];
export declare const ELEMENT_BASE_VARIANTS: readonly ["contained", "outlined"];
export declare const ELEMENT_VARIANTS: readonly ["contained", "outlined", "text"];
export declare const ELEMENT_ORIENTATION: readonly ["vertical", "horizontal"];
export declare const ELEMENT_PLACEMENT_VERTICAL: readonly ["top", "bottom"];
export declare const ELEMENT_PLACEMENT_HORIZONTAL: readonly ["right", "left"];
export declare const ELEMENT_POSITION: readonly ["top", "bottom", "right", "left"];
export declare const BREAKPOINTS: readonly ["xs", "sm", "md", "lg", "xl", "xl2"];
export declare const TYPOGRAPHY: readonly ["h1", "h2", "h3", "h4", "h5", "h6", "content", "description"];
export declare const TAILWIND_SHADES: readonly [50, 100, 200, 300, 400, 500, 600, 700, 800, 900];
export declare const ELEMENT_STATES: readonly ["hover", "focus", "active", "disabled", "default"];
export type HTMLInputType = 'button' | 'checkbox' | 'color' | 'date' | 'datetime-local' | 'email' | 'file' | 'hidden' | 'image' | 'month' | 'number' | 'password' | 'radio' | 'range' | 'reset' | 'search' | 'submit' | 'tel' | 'text' | 'time' | 'url' | 'week';
export type Breakpoints = (typeof BREAKPOINTS)[number];
export type ElementStatus = (typeof ELEMENT_STATUS)[number];
export type ElementState = (typeof ELEMENT_STATES)[number];
export type ElementSize = (typeof ELEMENT_SIZES)[number];
export type ElementOrientation = (typeof ELEMENT_ORIENTATION)[number];
export type ElementTheme = (typeof ELEMENT_THEMES)[number];
export type ElementVariant = (typeof ELEMENT_VARIANTS)[number];
export type ElementBaseVariant = (typeof ELEMENT_BASE_VARIANTS)[number];
export type ElementPlacementHorizontal = (typeof ELEMENT_PLACEMENT_HORIZONTAL)[number];
export type ElementPlacementVertical = (typeof ELEMENT_PLACEMENT_VERTICAL)[number];
export type ElementPosition = (typeof ELEMENT_POSITION)[number];
export type ElementTypography = (typeof TYPOGRAPHY)[number];
export type ElementPlacement = {
    horizontal: ElementPlacementHorizontal;
    vertical: ElementPlacementVertical;
};
export type TailwindShades = (typeof TAILWIND_SHADES)[number];
export type TailwindColorSet = Record<TailwindShades, string>;
export declare const icons: readonly ["check", "chevron_down", "chevron_left", "chevron_right", "close", "dot", "home", "readonly", "slash", "straight"];
export type IconType = (typeof icons)[number];
//# sourceMappingURL=ui.d.ts.map